Skip to main content
POST
Replace Order

Headers

PX-Key-Id
string
required

The key id issued for your signing keypair.

PX-Timestamp
string
required

Unix seconds at signing, valid within 30 seconds of the server clock.

PX-Signature
string
required

Ed25519 signature of the request

PX-Content-Sha256
string
required

Hex SHA-256 of the request body, or the SHA-256 of the empty string when there is no body.

Body

application/json
orderId
string<uuid>
required
replacement
Order Request · object
required

Response

Independent cancel and replacement outcomes

orderId
string<uuid>
required
cancelOutcome
enum<string>
required
Available options:
CANCELLED,
COMPLETED,
NOT_FOUND,
UNKNOWN
replacementOutcome
enum<string>
required
Available options:
ACCEPTED,
REJECTED,
SKIPPED,
CONFLICT,
UNKNOWN
replacement
object | null
required
cancelError
object
replacementError
object